ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

RegClass

Description

An architecture independent description of a register's class.

Synopsis

- data RegClass
  - = RcInteger
  - | RcFloat
  - | RcDouble
  - | RcDoubleSSE

# Documentation

data RegClass #

The class of a register. Used in the register allocator. We treat all registers in a class as being interchangable.

Constructors

RcInteger |
RcFloat |
RcDouble |
RcDoubleSSE |

Instances

Eq RegClass # |
Methods (==) :: RegClass -> RegClass -> Bool # (/=) :: RegClass -> RegClass -> Bool #
Outputable RegClass # |
Methods ppr :: RegClass -> SDoc # pprPrec :: Rational -> RegClass -> SDoc #
Uniquable RegClass # |
Methods getUnique :: RegClass -> Unique #